/// <reference types="react" />
import { BadgeClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { BadgeHandledProps, BadgeProps, BadgeUnhandledProps } from "./badge.props";
declare class Badge extends Foundation<BadgeHandledProps, BadgeUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<BadgeProps>;
    protected handledProps: HandledProps<BadgeHandledProps>;
    /**
     * Renders the component
     */
    render(): JSX.Element;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
}
export default Badge;
export * from "./badge.props";
export { BadgeClassNameContract };
