import { BreadcrumbClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { BreadcrumbHandledProps, BreadcrumbProps, BreadcrumbUnhandledProps } from "./breadcrumb.props";
declare class Breadcrumb extends Foundation<BreadcrumbHandledProps, BreadcrumbUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<BreadcrumbProps>;
    protected handledProps: HandledProps<BreadcrumbHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLElement>;
    /**
     * Create class names
     */
    protected generateClassNames(): string;
    /**
     * Create items container class names
     */
    protected generateItemsContainerClassNames(): string;
    /**
     * Create item class names
     */
    protected generateItemClassNames(): string;
    /**
     * Create current item class names
     */
    protected generateCurrentItemClassNames(): string;
    /**
     * Create separator class names
     */
    protected generateSeparatorClassNames(): string;
    /**
     * Render all child elements
     */
    private renderChildren;
    private isClonableElement;
    /**
     * Render a single child
     */
    private renderChild;
}
export default Breadcrumb;
export * from "./breadcrumb.props";
export { BreadcrumbClassNameContract };
