import { ButtonClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { ButtonHandledProps, ButtonProps, ButtonUnhandledProps } from "./button.props";
/**
 * Button HTML tags
 */
export declare enum ButtonHTMLTags {
    a = "a",
    button = "button"
}
declare class Button extends Foundation<ButtonHandledProps, ButtonUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<ButtonProps>;
    protected handledProps: HandledProps<ButtonHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLButtonElement | HTMLAnchorElement>;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     * Stores HTML tag for use in render
     */
    private renderDisabledAttribute;
    /**
     * Stores HTML tag for use in render
     */
    private get tag();
}
export default Button;
export * from "./button.props";
export { ButtonClassNameContract };
