import React from "react";
import { ButtonClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
export declare type ButtonManagedClasses = ManagedClasses<ButtonClassNameContract>;
export declare type ButtonUnhandledProps = React.AllHTMLAttributes<HTMLElement>;
export interface ButtonHandledProps extends ButtonManagedClasses {
    /**
     * The button content
     */
    children?: React.ReactNode;
    /**
     * The disabled state
     */
    disabled?: boolean;
    /**
     * The destination address (turns button to anchor)
     */
    href?: string;
}
export declare type ButtonProps = ButtonUnhandledProps & ButtonHandledProps;
