import { CardClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { CardHandledProps, CardProps, CardUnhandledProps } from "./card.props";
declare class Card extends Foundation<CardHandledProps, CardUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<CardProps>;
    protected handledProps: HandledProps<CardHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLDivElement | HTMLElement>;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     * Stores HTML tag for use in render
     */
    private get tag();
}
export default Card;
export * from "./card.props";
export { CardClassNameContract };
