import React from "react";
import { CardClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
/**
 * Card HTML tags
 */
export declare enum CardTag {
    article = "article",
    div = "div",
    section = "section"
}
export declare type CardManagedClasses = ManagedClasses<CardClassNameContract>;
export declare type CardUnhandledProps = React.HTMLAttributes<HTMLDivElement | HTMLElement>;
export interface CardHandledProps extends CardManagedClasses {
    /**
     * The card children
     */
    children?: React.ReactNode;
    /**
     * Use the appropriate HTML tag type depending on context
     */
    tag?: CardTag;
}
export declare type CardProps = CardHandledProps & CardUnhandledProps;
