import { ContextMenuItemClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { ContextMenuItemHandledProps, ContextMenuItemProps, ContextMenuItemUnhandledProps } from "./context-menu-item.props";
export declare enum ContextMenuItemRole {
    menuItem = "menuitem",
    menuItemRadio = "menuitemradio",
    menuItemCheckbox = "menuitemcheckbox"
}
declare class ContextMenuItem extends Foundation<ContextMenuItemHandledProps, ContextMenuItemUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<ContextMenuItemProps>;
    protected handledProps: HandledProps<ContextMenuItemHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLDivElement>;
    /**
     * Create class-names
     */
    protected generateClassNames(): string;
    /**
     * Handle the keydown event of the item
     */
    private handleMenuItemKeyDown;
    /**
     * Handle the keydown event of the item
     */
    private handleMenuItemClick;
    /**
     * Handle the contextMenu event
     */
    private handleContextMenu;
    /**
     * Inform app-authors that the user has invoked the item
     */
    private handleInvoke;
}
export default ContextMenuItem;
export * from "./context-menu-item.props";
export { ContextMenuItemClassNameContract };
