import React from "react";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { DataGridCellClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import { DataGridCellHandledProps, DataGridCellProps, DataGridCellUnhandledProps } from "./data-grid-cell.props";
import { DataGridContextType } from "./data-grid-context";
import { DataGridCellRenderConfig } from "./data-grid.props";
declare class DataGridCell extends Foundation<DataGridCellHandledProps, DataGridCellUnhandledProps, {}> {
    static defaultProps: Partial<DataGridCellProps>;
    static displayName: string;
    static contextType: React.Context<DataGridContextType>;
    /**
     * The default function that renders a cell
     */
    static renderCell: (config: DataGridCellRenderConfig) => React.ReactNode;
    protected handledProps: HandledProps<DataGridCellHandledProps>;
    private focusTarget;
    private rootElement;
    /**
     * Renders the component
     */
    render(): React.ReactNode;
    /**
     * React life-cycle method
     */
    componentDidMount(): void;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     * returns true if this is the datagrid's current focus cell
     */
    private isDesiredFocusCell;
    /**
     * returns true if this is the datagrid's current focus cell
     */
    private isFocusCell;
    /**
     * Handle the keydown event of the item
     */
    private handleKeyDown;
    /**
     * Handle focus event
     */
    private handleFocus;
}
export default DataGridCell;
export * from "./data-grid-cell.props";
export { DataGridCellClassNameContract };
