import React from "react";
import { DataGridCellClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
import { DataGridColumn } from "./data-grid.props";
export declare type DataGridCellManagedClasses = ManagedClasses<DataGridCellClassNameContract>;
export declare type DataGridCellUnhandledProps = React.AllHTMLAttributes<HTMLElement>;
export interface DataGridCellHandledProps extends DataGridCellManagedClasses {
    /**
     *  Data for this row
     */
    rowData: object;
    /**
     * Column definition for this row
     */
    column: DataGridColumn;
    /**
     * The column index
     */
    columnIndex: number;
}
export declare type DataGridCellProps = DataGridCellHandledProps & DataGridCellUnhandledProps;
