import React from "react";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { DataGridRowClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import { DataGridRowHandledProps, DataGridRowProps, DataGridRowUnhandledProps } from "./data-grid-row.props";
import { DataGridContextType } from "./data-grid-context";
declare class DataGridRow extends Foundation<DataGridRowHandledProps, DataGridRowUnhandledProps, {}> {
    static defaultProps: Partial<DataGridRowProps>;
    static displayName: string;
    static contextType: React.Context<DataGridContextType>;
    protected handledProps: HandledProps<DataGridRowHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactNode;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     *  render all cells
     */
    private renderCells;
    /**
     *  renders a cell
     */
    private renderCell;
}
export default DataGridRow;
export * from "./data-grid-row.props";
export { DataGridRowClassNameContract };
