import React from "react";
import { DataGridRowClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
export declare const RowIdKey: string;
export declare type DataGridRowManagedClasses = ManagedClasses<DataGridRowClassNameContract>;
export declare type DataGridRowUnhandledProps = React.HTMLAttributes<HTMLDivElement>;
export interface DataGridRowHandledProps extends DataGridRowManagedClasses {
    /**
     * The base data for this row
     */
    rowData: object;
    /**
     * String that gets applied to the the css gridTemplateColumns attribute for the row
     */
    gridTemplateColumns: string;
    /**
     * The row's index in the parent data grid
     */
    rowIndex: number;
}
export declare type DataGridRowProps = DataGridRowHandledProps & DataGridRowUnhandledProps;
