import React from "react";
import { DividerClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
/**
 * Divider HTML Roles
 */
export declare enum DividerRoles {
    presentation = "presentation",
    separator = "separator"
}
export declare type DividerManagedClasses = ManagedClasses<DividerClassNameContract>;
export declare type DividerUnhandledProps = Omit<React.HTMLAttributes<HTMLHRElement>, "role">;
export interface DividerHandledProps extends DividerManagedClasses {
    /**
     * The HTML role attribute
     */
    role?: DividerRoles;
}
export declare type DividerProps = DividerHandledProps & DividerUnhandledProps;
