import Foundation from "@microsoft/fast-components-foundation-react";
import React from "react";
import { DisplayNamePrefix } from "../utilities";
class Hypertext extends Foundation {
    constructor() {
        super(...arguments);
        this.handledProps = {
            managedClasses: void 0,
        };
    }
    /**
     * Renders the component
     */
    render() {
        return (React.createElement("a", Object.assign({}, this.unhandledProps(), { className: this.generateClassNames() }), this.props.children));
    }
    /**
     * Generates class names
     */
    generateClassNames() {
        return super.generateClassNames(this.props.managedClasses.hypertext);
    }
}
Hypertext.displayName = `${DisplayNamePrefix}Hypertext`;
Hypertext.defaultProps = {
    managedClasses: {},
};
export default Hypertext;
export * from "./hypertext.props";
