# Label
The *label* component is based on the standard [label](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/label) or `legend` element. It can be used alone or grouped with other related components. Some components have the *label* built-in, but most do not.

## Accessibility
Input elements inside a `form` must be associated with corresponding `label` elements, either by using *label* as a wrapper element for the form input, or by associating the `for` attribute of the *label* with the input element’s `id` attribute. A meaningful `label` is still required on input elements with implicit labels (e.g. a search input flagged by a background “search” icon). In these cases, the `hidden` option should be passed as `true`. Learn more about the correct usage of labels in the [W3C WAI documentation](https://www.w3.org/WAI/tutorials/forms/labels/).