import { LabelClassNameContract, ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { LabelHandledProps, LabelProps, LabelUnhandledProps } from "./label.props";
declare class Label extends Foundation<LabelHandledProps, LabelUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<LabelProps>;
    protected handledProps: HandledProps<LabelHandledProps & ManagedClasses<LabelClassNameContract>>;
    /**
     * Stores HTML tag for use in render
     */
    private get tag();
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLLabelElement | HTMLFieldSetElement>;
    /**
     * Generates class names based on props
     */
    protected generateClassNames(): string;
}
export default Label;
export * from "./label.props";
export { LabelClassNameContract };
