import { ListboxItemClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { ListboxContextType } from "../listbox/listbox-context";
import { ListboxItemHandledProps, ListboxItemProps, ListboxItemUnhandledProps } from "./listbox-item.props";
declare class ListboxItem extends Foundation<ListboxItemHandledProps, ListboxItemUnhandledProps, {}> {
    static displayName: string;
    static contextType: React.Context<ListboxContextType>;
    static defaultProps: Partial<ListboxItemProps>;
    protected handledProps: HandledProps<ListboxItemHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLDivElement>;
    /**
     * Create class-names
     */
    protected generateClassNames(): string;
    /**
     * Check context to determine if this item is selected
     */
    private isItemSelected;
    /**
     * Invoke this option
     */
    private invokeOption;
    /**
     * Handle the keydown event of the item
     */
    private handleKeyDown;
    /**
     * Handle the keydown event of the item
     */
    private handleClick;
    /**
     * Handle focus event
     */
    private handleFocus;
}
export default ListboxItem;
export * from "./listbox-item.props";
export { ListboxItemClassNameContract };
