import Foundation from "@microsoft/fast-components-foundation-react";
import { classNames } from "@microsoft/fast-web-utilities";
import React from "react";
import { TextFieldType } from "../text-field/index";
import { DisplayNamePrefix } from "../utilities";
class NumberField extends Foundation {
    constructor() {
        super(...arguments);
        this.handledProps = {
            managedClasses: void 0,
        };
    }
    /**
     * Renders the component
     */
    render() {
        return (React.createElement("input", Object.assign({}, this.unhandledProps(), { className: this.generateClassNames(), type: TextFieldType.number })));
    }
    /**
     * Generates class names
     */
    generateClassNames() {
        return super.generateClassNames(classNames(this.props.managedClasses.numberField));
    }
}
NumberField.displayName = `${DisplayNamePrefix}NumberField`;
NumberField.defaultProps = {
    managedClasses: {},
};
export default NumberField;
export * from "./number-field.props";
