import { ProgressClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { ProgressHandledProps, ProgressProps, ProgressUnhandledProps } from "./progress.props";
export declare enum ProgressType {
    determinate = "determinate",
    indeterminate = "indeterminate"
}
declare class Progress extends Foundation<ProgressHandledProps, ProgressUnhandledProps, {}> {
    static defaultProps: Partial<ProgressProps>;
    static displayName: string;
    protected handledProps: HandledProps<ProgressHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLDivElement>;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     * Renders children based on value prop
     */
    private renderChildren;
}
export default Progress;
export * from "./progress.props";
export { ProgressClassNameContract };
