import React from "react";
import { ManagedClasses, ProgressClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
export declare type ProgressManagedClasses = ManagedClasses<ProgressClassNameContract>;
export declare type ProgressUnhandledProps = React.HTMLAttributes<HTMLDivElement>;
export interface ProgressHandledProps extends ProgressManagedClasses {
    /**
     * The progress content
     */
    children?: React.ReactNode;
    /**
     * The HTML max value attribute
     */
    maxValue?: number;
    /**
     * The HTML min value attribute
     */
    minValue?: number;
    /**
     * The HTML value attribute
     */
    value?: number;
}
export declare type ProgressProps = ProgressHandledProps & ProgressUnhandledProps;
