/// <reference types="react" />
import { RadioClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import { RadioHandledProps, RadioProps, RadioUnhandledProps } from "./radio.props";
/**
 * Radio slot options
 */
export declare enum RadioSlot {
    label = "label"
}
interface RadioState {
    checked: boolean;
}
declare class Radio extends Foundation<RadioHandledProps, RadioUnhandledProps, RadioState> {
    static displayName: string;
    static defaultProps: Partial<RadioProps>;
    static getDerivedStateFromProps(nextProps: RadioProps, prevState: RadioState): null | Partial<RadioState>;
    /**
     * Handled props instantiation
     */
    protected handledProps: HandledProps<RadioHandledProps>;
    constructor(props: RadioProps);
    render(): JSX.Element;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
    /**
     * @deprecated - remove in next major version
     */
    private renderChildrenWithSlot;
    private renderLabel;
    private handleRadioChange;
}
export default Radio;
export * from "./radio.props";
export { RadioClassNameContract };
