declare const _default: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    id: string;
    formPluginId: string;
    properties: {
        inputId: {
            title: string;
            type: string;
            examples: string[];
        };
        checked: {
            title: string;
            type: string;
        };
        disabled: {
            title: string;
            type: string;
        };
        ariaLabel: {
            title: string;
            type: string;
            examples: string[];
        };
        name: {
            title: string;
            type: string;
            examples: string[];
        };
        children: {
            formPluginId: string;
            defaults: string[];
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
        label: {
            title: string;
            formPluginId: string;
            pluginId: string;
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
    };
    required: string[];
};
/**
 * Complies with FAST Tooling 2.0
 */
export default _default;
