declare const _default: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    id: string;
    formPluginId: string;
    properties: {
        placeholder: {
            title: string;
            type: string;
        };
        name: {
            title: string;
            type: string;
        };
        form: {
            title: string;
            type: string;
        };
        disabled: {
            title: string;
            type: string;
        };
        isMenuOpen: {
            title: string;
            type: string;
        };
        required: {
            title: string;
            type: string;
        };
        multiselectable: {
            title: string;
            type: string;
        };
        selectedItems: {
            title: string;
            type: string;
        };
        defaultSelection: {
            title: string;
            type: string;
        };
        autoFocus: {
            title: string;
            type: string;
        };
        labelledBy: {
            title: string;
            type: string;
        };
        menuFlyoutConfig: {
            title: string;
            type: string;
            description: string;
            properties: {
                disabled: {
                    title: string;
                    type: string;
                };
                horizontalPositioningMode: {
                    title: string;
                    type: string;
                    default: string;
                    enum: string[];
                };
                defaultHorizontalPosition: {
                    title: string;
                    type: string;
                    default: string;
                    enum: string[];
                };
                horizontalThreshold: {
                    title: string;
                    type: string;
                };
                horizontalAlwaysInView: {
                    title: string;
                    type: string;
                };
                verticalPositioningMode: {
                    title: string;
                    type: string;
                    default: string;
                    enum: string[];
                };
                defaultVerticalPosition: {
                    title: string;
                    type: string;
                    default: string;
                    enum: string[];
                };
                verticalThreshold: {
                    title: string;
                    type: string;
                };
                verticalAlwaysInView: {
                    title: string;
                    type: string;
                };
                fixedAfterInitialPlacement: {
                    title: string;
                    type: string;
                };
                scaleToFit: {
                    title: string;
                    type: string;
                    default: boolean;
                };
            };
        };
        children: {
            title: string;
            formPluginId: string;
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
    };
};
/**
 * Complies with FAST Tooling 2.0
 */
export default _default;
