import { SliderTrackItemClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { SliderContextType } from "../slider/slider-context";
import { SliderTrackItemHandledProps, SliderTrackItemProps, SliderTrackItemUnhandledProps } from "./slider-track-item.props";
declare class SliderTrackItem extends Foundation<SliderTrackItemHandledProps, SliderTrackItemUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<SliderTrackItemProps>;
    static contextType: React.Context<SliderContextType>;
    protected handledProps: HandledProps<SliderTrackItemHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLDivElement>;
    /**
     * Create class-names
     */
    protected generateClassNames(): string;
    /**
     * Gets the appropriate absolute positioning
     */
    private applyPositioningValues;
    /**
     *  Returns a percent value to use for positioning based on the selected anchor type
     */
    private getPositionAsPercent;
}
export default SliderTrackItem;
export * from "./slider-track-item.props";
export { SliderTrackItemClassNameContract };
