import React from "react";
import { ManagedClasses, SliderTrackItemClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
export declare type SliderTrackItemManagedClasses = ManagedClasses<SliderTrackItemClassNameContract>;
export declare type SliderTrackItemUnhandledProps = React.HTMLAttributes<HTMLDivElement>;
export declare enum SliderTrackItemAnchor {
    selectedRangeMin = "selectedRangeMin",
    selectedRangeMax = "selectedRangeMax",
    totalRangeMin = "totalRangeMin",
    totalRangeMax = "totalRangeMax",
    constrainedRangeMin = "constrainedRangeMin",
    constrainedRangeMax = "constrainedRangeMax"
}
export interface SliderTrackItemHandledProps extends SliderTrackItemManagedClasses {
    /**
     * The children of the slider track item
     */
    children?: React.ReactNode;
    /**
     * The slider value to align the max edge of the component with
     */
    maxValuePositionBinding?: number | SliderTrackItemAnchor;
    /**
     * The slider value to align the min edge of the component with
     */
    minValuePositionBinding?: number | SliderTrackItemAnchor;
}
export declare type SliderTrackItemProps = SliderTrackItemHandledProps & SliderTrackItemUnhandledProps;
