declare const _default: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    id: string;
    formPluginId: string;
    properties: {
        disabled: {
            title: string;
            type: string;
        };
        orientation: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        mode: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        initialValue: {
            title: string;
            oneOf: ({
                type: string;
                description: string;
                properties?: undefined;
                required?: undefined;
            } | {
                type: string;
                description: string;
                properties: {
                    minValue: {
                        title: string;
                        type: string;
                    };
                    maxValue: {
                        title: string;
                        type: string;
                    };
                };
                required: string[];
            })[];
        };
        constrainedRange: {
            title: string;
            type: string;
            properties: {
                minValue: {
                    title: string;
                    type: string;
                };
                maxValue: {
                    title: string;
                    type: string;
                };
            };
            required: string[];
        };
        range: {
            title: string;
            type: string;
            description: string;
            properties: {
                minValue: {
                    title: string;
                    type: string;
                };
                maxValue: {
                    title: string;
                    type: string;
                };
            };
            required: string[];
        };
        step: {
            title: string;
            type: string;
        };
        pageStep: {
            title: string;
            type: string;
        };
        value: {
            title: string;
            type: string;
        };
        name: {
            title: string;
            type: string;
        };
        form: {
            title: string;
            type: string;
        };
        labelledBy: {
            title: string;
            type: string;
        };
    };
    reactProperties: {
        children: {
            title: string;
            type: string;
            defaults: any[];
        };
    };
};
/**
 * Complies with FAST Tooling 1.0
 */
export default _default;
