import Foundation from "@microsoft/fast-components-foundation-react";
import { classNames } from "@microsoft/fast-web-utilities";
import React from "react";
import { DisplayNamePrefix } from "../utilities";
class TextArea extends Foundation {
    constructor() {
        super(...arguments);
        this.handledProps = {
            managedClasses: void 0,
        };
    }
    /**
     * Renders the component
     */
    render() {
        return (React.createElement("textarea", Object.assign({}, this.unhandledProps(), { className: this.generateClassNames() })));
    }
    /**
     * Generates class names
     */
    generateClassNames() {
        return super.generateClassNames(classNames(this.props.managedClasses.textArea));
    }
}
TextArea.displayName = `${DisplayNamePrefix}TextArea`;
TextArea.defaultProps = {
    managedClasses: {},
};
export default TextArea;
export * from "./text-area.props";
