import { TextFieldClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { TextFieldHandledProps, TextFieldProps, TextFieldUnhandledProps } from "./text-field.props";
declare class TextField extends Foundation<TextFieldHandledProps, TextFieldUnhandledProps, {}> {
    static displayName: string;
    static defaultProps: Partial<TextFieldProps>;
    protected handledProps: HandledProps<TextFieldHandledProps>;
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLInputElement>;
    /**
     * Generates class names
     */
    protected generateClassNames(): string;
}
export default TextField;
export * from "./text-field.props";
export { TextFieldClassNameContract };
