import React from "react";
import { ManagedClasses, TextFieldClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
export declare enum TextFieldType {
    email = "email",
    number = "number",
    password = "password",
    search = "search",
    tel = "tel",
    text = "text",
    url = "url"
}
export declare type TextFieldManagedClasses = ManagedClasses<TextFieldClassNameContract>;
export declare type TextFieldUnhandledProps = Omit<React.InputHTMLAttributes<HTMLInputElement>, "type">;
export interface TextFieldHandledProps extends TextFieldManagedClasses {
    /**
     * The text field input type
     */
    type?: TextFieldType;
}
export declare type TextFieldProps = TextFieldHandledProps & TextFieldUnhandledProps;
