declare const _default: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    id: string;
    formPluginId: string;
    properties: {
        defaultExpanded: {
            title: string;
            type: string;
            default: boolean;
        };
        selected: {
            title: string;
            type: string;
        };
        children: {
            title: string;
            defaults: string[];
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
        expandCollapseGlyph: {
            title: string;
            formPluginId: string;
            pluginId: string;
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
        titleContent: {
            title: string;
            formPluginId: string;
            pluginId: string;
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
    };
    required: string[];
};
/**
 * Complies with FAST Tooling 2.0
 */
export default _default;
