import { TypographyClassNameContract } from "@microsoft/fast-components-class-name-contracts-base";
import Foundation, { HandledProps } from "@microsoft/fast-components-foundation-react";
import React from "react";
import { TypographyHandledProps, TypographyProps, TypographyUnhandledProps } from "./typography.props";
declare class Typography extends Foundation<TypographyHandledProps, TypographyUnhandledProps, {}> {
    static defaultProps: Partial<TypographyProps>;
    static displayName: string;
    protected handledProps: HandledProps<TypographyHandledProps>;
    /**
     * Stores HTML tag for use in render
     */
    private get tag();
    /**
     * Renders the component
     */
    render(): React.ReactElement<HTMLHeadingElement | HTMLParagraphElement | HTMLSpanElement | HTMLTableCaptionElement>;
    /**
     * Generates class names based on props
     */
    protected generateClassNames(): string;
    /**
     * Creates tags for rendering based on href
     */
    private generateHTMLTag;
}
export default Typography;
export * from "./typography.props";
export { TypographyClassNameContract };
