declare const _default: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    id: string;
    properties: {
        disabled: {
            title: string;
            type: string;
        };
        horizontalPositioningMode: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        defaultHorizontalPosition: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        horizontalThreshold: {
            title: string;
            type: string;
        };
        horizontalAlwaysInView: {
            title: string;
            type: string;
        };
        verticalPositioningMode: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        defaultVerticalPosition: {
            title: string;
            type: string;
            default: string;
            enum: string[];
        };
        verticalThreshold: {
            title: string;
            type: string;
        };
        verticalAlwaysInView: {
            title: string;
            type: string;
        };
        fixedAfterInitialPlacement: {
            title: string;
            type: string;
        };
        scaleToFit: {
            title: string;
            type: string;
            default: boolean;
        };
        children: {
            [x: string]: string | boolean | {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
            type: string;
            items: {
                type: string;
                properties: {
                    id: {
                        title: string;
                        type: string;
                    };
                    dataLocation: {
                        title: string;
                        type: string;
                    };
                };
            };
        };
    };
};
/**
 * Complies with FAST Tooling 2.0
 */
export default _default;
